apiVersion: v1
kind: DeploymentConfig
metadata:
  creationTimestamp: 2016-02-13T09:42:08Z
  labels:
    template: couchdb-persistent-template
  name: couchdb
  namespace: glh-demo
  resourceVersion: "176104"
  selfLink: /oapi/v1/namespaces/glh-demo/deploymentconfigs/couchdb
  uid: 6b67b6b4-1354-4fcf-b667-957aadf4b43d
spec:
  replicas: 1
  selector:
    name: couchdb
  strategy:
    resources: {}
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        name: couchdb
    spec:
      containers:
      - env:
        - name: admin
          value: admin
        image: docker.io/centos/klaemo/couchdb@sha256:d33822ecaae2e6247243b24c5c72c525714d77b904105f71679fbad04756bc96
        imagePullPolicy: IfNotPresent
        name: couchdb
        ports:
        - containerPort: 5984
          protocol: TCP
        resources: {}
        securityContext:
          capabilities: {}
          privileged: false
        terminationMessagePath: /dev/termination-log
        volumeMounts:
        - mountPath: /usr/local/var/lib/couchdb
          name: couch-data
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: couch-data
        persistentVolumeClaim:
          claimName: couchdb
  triggers:
  - imageChangeParams:
      automatic: true
      containerNames:
      - couchdb
      from:
        kind: ImageStreamTag
        name: couchdb:latest
        namespace: openshift
      lastTriggeredImage: docker.io/klaemo/couchdb@sha256:d33822ecaae2e6247243b24c5c72c525714d77b904105f71679fbad04756bc96
    type: ImageChange
  - type: ConfigChange
status:
  details:
    causes:
    - type: ConfigChange
  latestVersion: 1
